import { WebApplicationOptions } from '../utils/types';
import { BaseGenerator } from './baseGenerator';
export default class WebApplicationGenerator extends BaseGenerator<WebApplicationOptions> {
    validateOptions(): void;
    generate(): Promise<void>;
    private generateDefault;
    private generateReactBasic;
    private copyDirectoryRecursive;
}
